<?php
class EnoexperienciaController
{

    // Paso 1/3
    public static function index($params)
    {
        $params_data = array_keys($_GET);
        //if (isset($params[0])) {
        if (isset($params_data[0])) {
            $params_data = array_keys($_GET);
            $servicio = htmlentities($params_data[0]);
            //$servicio = htmlentities($params[0]);
            $url      = true;
        }
        if (isset($_REQUEST['id'])) {
            $servicio = htmlentities($_REQUEST['id']);
            $url      = false;
        }
        //$_REQUEST['evento'] = in_array('evento', $params_data);
        //$_REQUEST['regalo'] = in_array('regalo', $params_data);

        if (empty($_REQUEST['evento'])) {
            if (empty($_REQUEST['regalo'])) {
                // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/reserva_web/formulario_visitas_servicio.php';
                require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/reserva_web/api/formulario_visitas_servicio_api.php';
            } else {
                //$_POST['regalo'] = 1;
                // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/reserva_web/formulario_visitas_regalo.php';  
                require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/reserva_web/api/formulario_visitas_regalo_api.php'; 
            }
        } else {
            // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/reserva_web/formulario_visitas_evento.php';
            require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/reserva_web/api/formulario_visitas_servicio_evento_api.php';
        }
    }

    // Pasos 2 y 3 de 3
    public static function comprar()
    {
        if (empty($_REQUEST['evento'])) {
            if (empty($_REQUEST['regalo'])) {
                if (isset($_REQUEST['hash'])) {
                    // Los prepagos se redirige por el metodo antiguo 
                    require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/compra_prepago_api.php';
                }else{                  
                    if(isset($_REQUEST['pago_instalacion_fin'])){
                        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/compra_api.php';
                    }else{
                        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/compra_api.php';
                    }
                   
                }
            }else{
                require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/compra_regalo.php';
            }
        } else {
            require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/compra_evento_api.php';
        }
    }

    // Si la compra en la TPV ha sido ok
    public static function compra_finalizada()
    {
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/compra/api/ok_api.php';
        // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/compra/ok.php';
    }

    // Si la compra de la TPV ha sido nok
    public static function compra_no_finalizada()
    {
        // require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/compra/nok.php';
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/compra/api/nok_api.php';
    }
    // Si la compra en la TPV ha sido ok
    public static function compra_finalizada_extra()
    {
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/extras/compra_finalizada_ok.php';
    }

    // Si la compra de la TPV ha sido nok
    public static function compra_no_finalizada_extra()
    {
  
        require_once dirname(__DIR__) . '/modules/visitas/reservas/modulos/extras/nok_api.php';
    }
}
